Bug 1019398 - [abrt] lincity-ng-2.0-9.fc18: bulldozeCost: Process /usr/bin/lincity-ng was killed by signal 11 (SIGSEGV)
[abrt] lincity-ng-2.0-9.fc18: bulldozeCost: Process /usr/bin/lincity-ng was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lincity-ng (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:5eb6b162deeefb62e172e313ae1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 11:53 EDT by sateless
Modified: 2014-02-05 17:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:28:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.55 KB, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: cgroup (131 bytes, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: core_backtrace (2.31 KB, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: dso_list (6.18 KB, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: environ (1.27 KB, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: maps (30.04 KB, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: open_fds (137 bytes, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-15 11:53 EDT, sateless
no flags Details

  None (edit)
Description sateless 2013-10-15 11:53:06 EDT
Description of problem:
I was replacing a traintrack with roads ingame and suddenly got a blackscreen. I don't know if it is reproducable. 

Version-Release number of selected component:
lincity-ng-2.0-9.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        lincity-ng
crash_function: bulldozeCost
executable:     /usr/bin/lincity-ng
kernel:         3.10.14-100.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct 15 17:41:53 Waschbaer abrt[1908]: Saved core dump of pid 1891 (/usr/bin/lincity-ng) to /var/tmp/abrt/ccpp-2013-10-15-17:41:49-1891 (186867712 bytes)

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 bulldozeCost at src/lincity-ng/GameView.cpp:1729
 #1 GameView::draw at src/lincity-ng/GameView.cpp:1631
 #2 Component::drawChild at src/gui/Component.cpp:66
 #3 Component::draw at src/gui/Component.cpp:83
 #4 Desktop::draw at src/gui/Desktop.cpp:108
 #5 Game::run at src/lincity-ng/Game.cpp:238
 #6 mainLoop at src/lincity-ng/main.cpp:351
Comment 1 sateless 2013-10-15 11:53:10 EDT
Created attachment 812597 [details]
File: backtrace
Comment 2 sateless 2013-10-15 11:53:13 EDT
Created attachment 812598 [details]
File: cgroup
Comment 3 sateless 2013-10-15 11:53:16 EDT
Created attachment 812599 [details]
File: core_backtrace
Comment 4 sateless 2013-10-15 11:53:19 EDT
Created attachment 812600 [details]
File: dso_list
Comment 5 sateless 2013-10-15 11:53:22 EDT
Created attachment 812601 [details]
File: environ
Comment 6 sateless 2013-10-15 11:53:25 EDT
Created attachment 812602 [details]
File: exploitable
Comment 7 sateless 2013-10-15 11:53:29 EDT
Created attachment 812603 [details]
File: limits
Comment 8 sateless 2013-10-15 11:53:38 EDT
Created attachment 812605 [details]
File: maps
Comment 9 sateless 2013-10-15 11:53:41 EDT
Created attachment 812606 [details]
File: open_fds
Comment 10 sateless 2013-10-15 11:53:44 EDT
Created attachment 812607 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2013-12-21 09:40:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:28:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.